[RHSA-2024:3500] ruby:3.0 security update

Severity Moderate
Affected Packages 62
CVEs 6

Ruby is an extensible, interpreted, object-oriented, scripting language. It has features to process text files and to perform system management tasks.

Security Fix(es):

  • ruby/cgi-gem: HTTP response splitting in CGI (CVE-2021-33621)

  • ruby: ReDoS vulnerability in URI (CVE-2023-28755)

  • ruby: ReDoS vulnerability in Time (CVE-2023-28756)

  • ruby: RCE vulnerability with .rdoc_options in RDoc (CVE-2024-27281)

  • ruby: Buffer overread vulnerability in StringIO (CVE-2024-27280)

  • ruby: Arbitrary memory address read vulnerability with Regex search (CVE-2024-27282)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Package Affected Version
pkg:rpm/redhat/rubygems?distro=redhat-8.1 < 3.2.33-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygems-devel?distro=redhat-8.1 < 3.2.33-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-typeprof?distro=redhat-8.1 < 0.15.2-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-test-unit?distro=redhat-8.1 < 3.3.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-rss?distro=redhat-8.1 < 0.2.9-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-rexml?distro=redhat-8.1 < 3.2.5-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-rdoc?distro=redhat-8.1 < 6.3.4.1-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-rbs?distro=redhat-8.1 < 1.4.0-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-rake?distro=redhat-8.1 < 13.0.3-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-psych?arch=x86_64&distro=redhat-8.1 < 3.3.2-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-psych?arch=s390x&distro=redhat-8.1 < 3.3.2-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-psych?arch=ppc64le&distro=redhat-8.1 < 3.3.2-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-psych?arch=i686&distro=redhat-8.1 < 3.3.2-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-psych?arch=aarch64&distro=redhat-8.1 < 3.3.2-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-power_assert?distro=redhat-8.1 < 1.2.1-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-pg?arch=x86_64&distro=redhat-8.1 < 1.2.3-1.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-pg?arch=s390x&distro=redhat-8.1 < 1.2.3-1.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-pg?arch=ppc64le&distro=redhat-8.1 < 1.2.3-1.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-pg?arch=aarch64&distro=redhat-8.1 < 1.2.3-1.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-pg-doc?distro=redhat-8.1 < 1.2.3-1.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-mysql2?arch=x86_64&distro=redhat-8.1 < 0.5.3-2.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-mysql2?arch=s390x&distro=redhat-8.1 < 0.5.3-2.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-mysql2?arch=ppc64le&distro=redhat-8.1 < 0.5.3-2.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-mysql2?arch=aarch64&distro=redhat-8.1 < 0.5.3-2.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-mysql2-doc?distro=redhat-8.1 < 0.5.3-2.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-minitest?distro=redhat-8.1 < 5.14.2-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-json?arch=x86_64&distro=redhat-8.1 < 2.5.1-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-json?arch=s390x&distro=redhat-8.1 < 2.5.1-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-json?arch=ppc64le&distro=redhat-8.1 < 2.5.1-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-json?arch=i686&distro=redhat-8.1 < 2.5.1-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-json?arch=aarch64&distro=redhat-8.1 < 2.5.1-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-irb?distro=redhat-8.1 < 1.3.5-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-io-console?arch=x86_64&distro=redhat-8.1 < 0.5.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-io-console?arch=s390x&distro=redhat-8.1 < 0.5.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-io-console?arch=ppc64le&distro=redhat-8.1 < 0.5.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-io-console?arch=i686&distro=redhat-8.1 < 0.5.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-io-console?arch=aarch64&distro=redhat-8.1 < 0.5.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-bundler?distro=redhat-8.1 < 2.2.33-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-bigdecimal?arch=x86_64&distro=redhat-8.1 < 3.0.0-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-bigdecimal?arch=s390x&distro=redhat-8.1 < 3.0.0-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-bigdecimal?arch=ppc64le&distro=redhat-8.1 < 3.0.0-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-bigdecimal?arch=i686&distro=redhat-8.1 < 3.0.0-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-bigdecimal?arch=aarch64&distro=redhat-8.1 < 3.0.0-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-abrt?distro=redhat-8.1 < 0.4.0-1.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/rubygem-abrt-doc?distro=redhat-8.1 < 0.4.0-1.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby?arch=x86_64&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby?arch=s390x&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby?arch=ppc64le&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby?arch=i686&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby?arch=aarch64&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby-libs?arch=x86_64&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby-libs?arch=s390x&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby-libs?arch=ppc64le&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby-libs?arch=i686&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby-libs?arch=aarch64&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby-doc?distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby-devel?arch=x86_64&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby-devel?arch=s390x&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby-devel?arch=ppc64le&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby-devel?arch=i686&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby-devel?arch=aarch64&distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
pkg:rpm/redhat/ruby-default-gems?distro=redhat-8.1 < 3.0.7-143.module+el8.10.0+21858+d19f3934
Type Package URL Namespace Name / Product Version Distribution / Platform Arch Patch / Fix
Affected pkg:rpm/redhat/rubygems?distro=redhat-8.1 redhat rubygems < 3.2.33-143.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygems-devel?distro=redhat-8.1 redhat rubygems-devel < 3.2.33-143.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-typeprof?distro=redhat-8.1 redhat rubygem-typeprof < 0.15.2-143.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-test-unit?distro=redhat-8.1 redhat rubygem-test-unit < 3.3.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-rss?distro=redhat-8.1 redhat rubygem-rss < 0.2.9-143.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-rexml?distro=redhat-8.1 redhat rubygem-rexml < 3.2.5-143.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-rdoc?distro=redhat-8.1 redhat rubygem-rdoc < 6.3.4.1-143.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-rbs?distro=redhat-8.1 redhat rubygem-rbs < 1.4.0-143.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-rake?distro=redhat-8.1 redhat rubygem-rake < 13.0.3-143.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-psych?arch=x86_64&distro=redhat-8.1 redhat rubygem-psych < 3.3.2-143.module+el8.10.0+21858+d19f3934 redhat-8.1 x86_64
Affected pkg:rpm/redhat/rubygem-psych?arch=s390x&distro=redhat-8.1 redhat rubygem-psych < 3.3.2-143.module+el8.10.0+21858+d19f3934 redhat-8.1 s390x
Affected pkg:rpm/redhat/rubygem-psych?arch=ppc64le&distro=redhat-8.1 redhat rubygem-psych < 3.3.2-143.module+el8.10.0+21858+d19f3934 redhat-8.1 ppc64le
Affected pkg:rpm/redhat/rubygem-psych?arch=i686&distro=redhat-8.1 redhat rubygem-psych < 3.3.2-143.module+el8.10.0+21858+d19f3934 redhat-8.1 i686
Affected pkg:rpm/redhat/rubygem-psych?arch=aarch64&distro=redhat-8.1 redhat rubygem-psych < 3.3.2-143.module+el8.10.0+21858+d19f3934 redhat-8.1 aarch64
Affected pkg:rpm/redhat/rubygem-power_assert?distro=redhat-8.1 redhat rubygem-power_assert < 1.2.1-143.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-pg?arch=x86_64&distro=redhat-8.1 redhat rubygem-pg < 1.2.3-1.module+el8.10.0+21858+d19f3934 redhat-8.1 x86_64
Affected pkg:rpm/redhat/rubygem-pg?arch=s390x&distro=redhat-8.1 redhat rubygem-pg < 1.2.3-1.module+el8.10.0+21858+d19f3934 redhat-8.1 s390x
Affected pkg:rpm/redhat/rubygem-pg?arch=ppc64le&distro=redhat-8.1 redhat rubygem-pg < 1.2.3-1.module+el8.10.0+21858+d19f3934 redhat-8.1 ppc64le
Affected pkg:rpm/redhat/rubygem-pg?arch=aarch64&distro=redhat-8.1 redhat rubygem-pg < 1.2.3-1.module+el8.10.0+21858+d19f3934 redhat-8.1 aarch64
Affected pkg:rpm/redhat/rubygem-pg-doc?distro=redhat-8.1 redhat rubygem-pg-doc < 1.2.3-1.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-mysql2?arch=x86_64&distro=redhat-8.1 redhat rubygem-mysql2 < 0.5.3-2.module+el8.10.0+21858+d19f3934 redhat-8.1 x86_64
Affected pkg:rpm/redhat/rubygem-mysql2?arch=s390x&distro=redhat-8.1 redhat rubygem-mysql2 < 0.5.3-2.module+el8.10.0+21858+d19f3934 redhat-8.1 s390x
Affected pkg:rpm/redhat/rubygem-mysql2?arch=ppc64le&distro=redhat-8.1 redhat rubygem-mysql2 < 0.5.3-2.module+el8.10.0+21858+d19f3934 redhat-8.1 ppc64le
Affected pkg:rpm/redhat/rubygem-mysql2?arch=aarch64&distro=redhat-8.1 redhat rubygem-mysql2 < 0.5.3-2.module+el8.10.0+21858+d19f3934 redhat-8.1 aarch64
Affected pkg:rpm/redhat/rubygem-mysql2-doc?distro=redhat-8.1 redhat rubygem-mysql2-doc < 0.5.3-2.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-minitest?distro=redhat-8.1 redhat rubygem-minitest < 5.14.2-143.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-json?arch=x86_64&distro=redhat-8.1 redhat rubygem-json < 2.5.1-143.module+el8.10.0+21858+d19f3934 redhat-8.1 x86_64
Affected pkg:rpm/redhat/rubygem-json?arch=s390x&distro=redhat-8.1 redhat rubygem-json < 2.5.1-143.module+el8.10.0+21858+d19f3934 redhat-8.1 s390x
Affected pkg:rpm/redhat/rubygem-json?arch=ppc64le&distro=redhat-8.1 redhat rubygem-json < 2.5.1-143.module+el8.10.0+21858+d19f3934 redhat-8.1 ppc64le
Affected pkg:rpm/redhat/rubygem-json?arch=i686&distro=redhat-8.1 redhat rubygem-json < 2.5.1-143.module+el8.10.0+21858+d19f3934 redhat-8.1 i686
Affected pkg:rpm/redhat/rubygem-json?arch=aarch64&distro=redhat-8.1 redhat rubygem-json < 2.5.1-143.module+el8.10.0+21858+d19f3934 redhat-8.1 aarch64
Affected pkg:rpm/redhat/rubygem-irb?distro=redhat-8.1 redhat rubygem-irb < 1.3.5-143.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-io-console?arch=x86_64&distro=redhat-8.1 redhat rubygem-io-console < 0.5.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 x86_64
Affected pkg:rpm/redhat/rubygem-io-console?arch=s390x&distro=redhat-8.1 redhat rubygem-io-console < 0.5.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 s390x
Affected pkg:rpm/redhat/rubygem-io-console?arch=ppc64le&distro=redhat-8.1 redhat rubygem-io-console < 0.5.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 ppc64le
Affected pkg:rpm/redhat/rubygem-io-console?arch=i686&distro=redhat-8.1 redhat rubygem-io-console < 0.5.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 i686
Affected pkg:rpm/redhat/rubygem-io-console?arch=aarch64&distro=redhat-8.1 redhat rubygem-io-console < 0.5.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 aarch64
Affected pkg:rpm/redhat/rubygem-bundler?distro=redhat-8.1 redhat rubygem-bundler < 2.2.33-143.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-bigdecimal?arch=x86_64&distro=redhat-8.1 redhat rubygem-bigdecimal < 3.0.0-143.module+el8.10.0+21858+d19f3934 redhat-8.1 x86_64
Affected pkg:rpm/redhat/rubygem-bigdecimal?arch=s390x&distro=redhat-8.1 redhat rubygem-bigdecimal < 3.0.0-143.module+el8.10.0+21858+d19f3934 redhat-8.1 s390x
Affected pkg:rpm/redhat/rubygem-bigdecimal?arch=ppc64le&distro=redhat-8.1 redhat rubygem-bigdecimal < 3.0.0-143.module+el8.10.0+21858+d19f3934 redhat-8.1 ppc64le
Affected pkg:rpm/redhat/rubygem-bigdecimal?arch=i686&distro=redhat-8.1 redhat rubygem-bigdecimal < 3.0.0-143.module+el8.10.0+21858+d19f3934 redhat-8.1 i686
Affected pkg:rpm/redhat/rubygem-bigdecimal?arch=aarch64&distro=redhat-8.1 redhat rubygem-bigdecimal < 3.0.0-143.module+el8.10.0+21858+d19f3934 redhat-8.1 aarch64
Affected pkg:rpm/redhat/rubygem-abrt?distro=redhat-8.1 redhat rubygem-abrt < 0.4.0-1.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/rubygem-abrt-doc?distro=redhat-8.1 redhat rubygem-abrt-doc < 0.4.0-1.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/ruby?arch=x86_64&distro=redhat-8.1 redhat ruby < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 x86_64
Affected pkg:rpm/redhat/ruby?arch=s390x&distro=redhat-8.1 redhat ruby < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 s390x
Affected pkg:rpm/redhat/ruby?arch=ppc64le&distro=redhat-8.1 redhat ruby < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 ppc64le
Affected pkg:rpm/redhat/ruby?arch=i686&distro=redhat-8.1 redhat ruby < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 i686
Affected pkg:rpm/redhat/ruby?arch=aarch64&distro=redhat-8.1 redhat ruby < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 aarch64
Affected pkg:rpm/redhat/ruby-libs?arch=x86_64&distro=redhat-8.1 redhat ruby-libs < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 x86_64
Affected pkg:rpm/redhat/ruby-libs?arch=s390x&distro=redhat-8.1 redhat ruby-libs < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 s390x
Affected pkg:rpm/redhat/ruby-libs?arch=ppc64le&distro=redhat-8.1 redhat ruby-libs < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 ppc64le
Affected pkg:rpm/redhat/ruby-libs?arch=i686&distro=redhat-8.1 redhat ruby-libs < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 i686
Affected pkg:rpm/redhat/ruby-libs?arch=aarch64&distro=redhat-8.1 redhat ruby-libs < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 aarch64
Affected pkg:rpm/redhat/ruby-doc?distro=redhat-8.1 redhat ruby-doc < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1
Affected pkg:rpm/redhat/ruby-devel?arch=x86_64&distro=redhat-8.1 redhat ruby-devel < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 x86_64
Affected pkg:rpm/redhat/ruby-devel?arch=s390x&distro=redhat-8.1 redhat ruby-devel < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 s390x
Affected pkg:rpm/redhat/ruby-devel?arch=ppc64le&distro=redhat-8.1 redhat ruby-devel < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 ppc64le
Affected pkg:rpm/redhat/ruby-devel?arch=i686&distro=redhat-8.1 redhat ruby-devel < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 i686
Affected pkg:rpm/redhat/ruby-devel?arch=aarch64&distro=redhat-8.1 redhat ruby-devel < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1 aarch64
Affected pkg:rpm/redhat/ruby-default-gems?distro=redhat-8.1 redhat ruby-default-gems < 3.0.7-143.module+el8.10.0+21858+d19f3934 redhat-8.1
# CVE Description CVSS EPSS EPSS Trend (30 days) Affected Products Weaknesses Security Advisories Exploits PoC Pubblication Date Modification Date
# CVE Description CVSS EPSS EPSS Trend (30 days) Affected Products Weaknesses Security Advisories PoC Pubblication Date Modification Date
Loading...